package com.fuyuanshen.mp.controller;

import cn.dev33.satoken.annotation.SaIgnore;
import com.fuyuanshen.common.core.domain.ResponseVO;
import com.fuyuanshen.equipment.service.DeviceService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: 默苍璃
 * @date: 2025-07-1208:36
 */
@Slf4j
@RestController
@RequestMapping("/mp")
@RequiredArgsConstructor
@Tag(name = "小程序：相关接口")
@SaIgnore
public class MPController {

    private final DeviceService deviceService;


    @GetMapping("/queryDevice")
    @Operation(summary = "检查是否存在设备MAC号")
    public ResponseVO<Boolean> queryDevice(@Parameter(name = "设备mac值") String mac) {
        return ResponseVO.success(deviceService.queryDevice(mac));
    }


}
