//package com.fuyuanshen.app.controller;
//
//import java.util.List;
//
//import lombok.RequiredArgsConstructor;
//import jakarta.servlet.http.HttpServletResponse;
//import jakarta.validation.constraints.*;
//import cn.dev33.satoken.annotation.SaCheckPermission;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.validation.annotation.Validated;
//import com.fuyuanshen.common.idempotent.annotation.RepeatSubmit;
//import com.fuyuanshen.common.log.annotation.Log;
//import com.fuyuanshen.common.web.core.BaseController;
//import com.fuyuanshen.common.mybatis.core.page.PageQuery;
//import com.fuyuanshen.common.core.domain.R;
//import com.fuyuanshen.common.core.validate.AddGroup;
//import com.fuyuanshen.common.core.validate.EditGroup;
//import com.fuyuanshen.common.log.enums.BusinessType;
//import com.fuyuanshen.common.excel.utils.ExcelUtil;
//import com.fuyuanshen.app.domain.vo.AppDeviceShareVo;
//import com.fuyuanshen.app.domain.bo.AppDeviceShareBo;
//import com.fuyuanshen.app.service.IAppDeviceShareService;
//import com.fuyuanshen.common.mybatis.core.page.TableDataInfo;
//
///**
// * 设备分享
// *
// * @author Lion Li
// * @date 2025-07-16
// */
//@Validated
//@RequiredArgsConstructor
//@RestController
//@RequestMapping("/app/deviceShare")
//public class AppDeviceShareController extends BaseController {
//
//    private final IAppDeviceShareService appDeviceShareService;
//
//    /**
//     * 查询设备分享列表
//     */
//    @SaCheckPermission("app:deviceShare:list")
//    @GetMapping("/list")
//    public TableDataInfo<AppDeviceShareVo> list(AppDeviceShareBo bo, PageQuery pageQuery) {
//        return appDeviceShareService.queryPageList(bo, pageQuery);
//    }
//
//    /**
//     * 导出设备分享列表
//     */
//    @SaCheckPermission("app:deviceShare:export")
//    @Log(title = "设备分享", businessType = BusinessType.EXPORT)
//    @PostMapping("/export")
//    public void export(AppDeviceShareBo bo, HttpServletResponse response) {
//        List<AppDeviceShareVo> list = appDeviceShareService.queryList(bo);
//        ExcelUtil.exportExcel(list, "设备分享", AppDeviceShareVo.class, response);
//    }
//
//    /**
//     * 获取设备分享详细信息
//     *
//     * @param id 主键
//     */
//    @SaCheckPermission("app:deviceShare:query")
//    @GetMapping("/{id}")
//    public R<AppDeviceShareVo> getInfo(@NotNull(message = "主键不能为空")
//                                     @PathVariable Long id) {
//        return R.ok(appDeviceShareService.queryById(id));
//    }
//
//    /**
//     * 新增设备分享
//     */
//    @SaCheckPermission("app:deviceShare:add")
//    @Log(title = "设备分享", businessType = BusinessType.INSERT)
//    @RepeatSubmit()
//    @PostMapping()
//    public R<Void> add(@Validated(AddGroup.class) @RequestBody AppDeviceShareBo bo) {
//        return toAjax(appDeviceShareService.insertByBo(bo));
//    }
//
//    /**
//     * 修改设备分享
//     */
//    @SaCheckPermission("app:deviceShare:edit")
//    @Log(title = "设备分享", businessType = BusinessType.UPDATE)
//    @RepeatSubmit()
//    @PutMapping()
//    public R<Void> edit(@Validated(EditGroup.class) @RequestBody AppDeviceShareBo bo) {
//        return toAjax(appDeviceShareService.updateByBo(bo));
//    }
//
//    /**
//     * 删除设备分享
//     *
//     * @param ids 主键串
//     */
//    @SaCheckPermission("app:deviceShare:remove")
//    @Log(title = "设备分享", businessType = BusinessType.DELETE)
//    @DeleteMapping("/{ids}")
//    public R<Void> remove(@NotEmpty(message = "主键不能为空")
//                          @PathVariable Long[] ids) {
//        return toAjax(appDeviceShareService.deleteWithValidByIds(List.of(ids), true));
//    }
//}
