package com.fuyuanshen.app.domain.bo;

import com.fuyuanshen.app.domain.AppDeviceShare;
import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 设备分享业务对象 app_device_share
 *
 * @author Lion Li
 * @date 2025-07-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AppDeviceShare.class, reverseConvertGenerate = false)
public class AppDeviceShareBo extends BaseEntity {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备ID
     */
    private Long deviceId;

    /**
     * 手机号
     */
    private String phonenumber;

    /**
     * 功能权限（1：灯光模式；2：激光模式；3：开机画面；4：人员信息登记；5：发送信息；6：产品信息）
以逗号分隔
     */
    private String permission;

    /**
     * 备注
     */
    private String remark;


    private String smsCode;
}
