package com.fuyuanshen.app.domain.vo;

import com.fuyuanshen.app.domain.AppPersonnelInfo;
import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import com.fuyuanshen.common.excel.annotation.ExcelDictFormat;
import com.fuyuanshen.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 人员信息登记视图对象 app_personnel_info
 *
 * @author Lion Li
 * @date 2025-07-02
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = AppPersonnelInfo.class)
public class AppPersonnelInfoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ExcelProperty(value = "主键")
    private Long id;

    /**
     * 设备id
     */
    @ExcelProperty(value = "设备id")
    private Long deviceId;

    /**
     * 人员姓名
     */
    @ExcelProperty(value = "人员姓名")
    private String name;

    /**
     * 岗位
     */
    @ExcelProperty(value = "岗位")
    private String position;

    /**
     * 单位名称
     */
    @ExcelProperty(value = "单位名称")
    private String unitName;

    /**
     * ID号
     */
    @ExcelProperty(value = "ID号")
    private String code;


}
