package com.fuyuanshen.app.service;

import com.fuyuanshen.app.domain.vo.AppDeviceShareVo;
import com.fuyuanshen.app.domain.bo.AppDeviceShareBo;
import com.fuyuanshen.common.mybatis.core.page.TableDataInfo;
import com.fuyuanshen.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 设备分享Service接口
 *
 * @author Lion Li
 * @date 2025-07-16
 */
public interface IAppDeviceShareService {

    /**
     * 查询设备分享
     *
     * @param id 主键
     * @return 设备分享
     */
    AppDeviceShareVo queryById(Long id);

    /**
     * 分页查询设备分享列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 设备分享分页列表
     */
    TableDataInfo<AppDeviceShareVo> queryPageList(AppDeviceShareBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的设备分享列表
     *
     * @param bo 查询条件
     * @return 设备分享列表
     */
    List<AppDeviceShareVo> queryList(AppDeviceShareBo bo);

    /**
     * 新增设备分享
     *
     * @param bo 设备分享
     * @return 是否新增成功
     */
    Boolean insertByBo(AppDeviceShareBo bo);

    /**
     * 修改设备分享
     *
     * @param bo 设备分享
     * @return 是否修改成功
     */
    Boolean updateByBo(AppDeviceShareBo bo);

    /**
     * 校验并批量删除设备分享信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    TableDataInfo<AppDeviceShareVo> otherDeviceShareList(AppDeviceShareBo bo, PageQuery pageQuery);
}
